2019-10-19 13:16 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001543FSSCPgameplaypublic2007-12-29 21:04
Reporterkarajorma 
Assigned Tokarajorma 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindowsOSWindows XP HomeOS VersionSP2
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001543: Loading a mission without the supposedly optional +Weaponry Pool: option causes a crash
DescriptionAssert: Polygon_models[num]->id == model_num
File: ModelRead.cpp
Line: 3736


Call stack:
------------------------------------------------------------------
    draw_model_rotating() weapon_select_do() game_do_state() gameseq_process_events() game_main() WinMain() WinMainCRTStartup() kernel32.dll 7c816fd7()
------------------------------------------------------------------
Steps To ReproduceCreate a mission, delete the +Weaponry Pool: {} section.
Additional InformationI've got no idea how you end up without a Weaponry Pool in the first place seeing as how the weapons on Alpha 1 are automatically written into it.

Might simply be a case of the field being marked optional when it is in fact required. I'll take a look at this one in a bit.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2007-12-22 20:19 karajorma New Issue
2007-12-22 20:19 karajorma Status new => assigned
2007-12-22 20:19 karajorma Assigned To => karajorma
2007-12-29 20:49 karajorma Additional Information Updated
2007-12-29 21:04 karajorma Status assigned => resolved
2007-12-29 21:04 karajorma Fixed in Version => 3.6.10
2007-12-29 21:04 karajorma Resolution open => fixed
+Issue History